Subject: Re: What's cooking in git.git (Apr 2025, #01; Mon, 7)

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 8 Apr 2025 08:22:44 +0200

On Mon, Apr 07, 2025 at 04:49:28PM +0000, Junio C Hamano wrote:
> * pb/perf-test-fixes (2025-03-28) 2 commits
>  - p9210: fix 'scalar clone' when running from a detached HEAD
>  - p7821: fix test_perf invocation for prereqs
> 
>  "make perf" fixes.
> 
>  Will merge to 'next'?
>  cf. <[email-masked]>
>  source: <[email-masked]>

I had one question around empty prereqs introduced by the patch that
wasn't yet answered. Based on my testing empty prereqs do work just fine
though and evaluate to true, so the patch series looks fine to me.

> * ps/misc-build-fixes (2025-04-01) 5 commits
>  - ci: use Visual Studio for win+meson job on GitHub Workflows
>  - meson: distinguish build and target host binaries
>  - meson: respect 'tests' build option in contrib
>  - gitweb: fix generation of "gitweb.js"
>  - meson: fix handling of '-Dcurl=auto'
> 
>  Random build fixes.
> 
>  Will merge to 'next'?
>  cf. <CAOLa=ZQ8bTn-prAs2ycLdLLjVaLQL4GtLw_gFsvAcx_6j=[email-masked]>
>  source: <[email-masked]>

I think this one should be ready to be merged.

> * ab/pathspec-sign-compare-workaround (2025-04-01) 1 commit
>  - pathspec: fix sign comparison warnings
> 
>  Some warnings from "-Wsign-compare" for pathspec.c have been
>  squelched.
>  
>  Will merge to 'next'?
>  source: <[email-masked]>

I had another read just now, the patch looks good to me.

> * jt/rev-list-z (2025-03-21) 5 commits
>  - rev-list: support NUL-delimited --missing option
>  - rev-list: support NUL-delimited --boundary option
>  - rev-list: support delimiting objects with NUL bytes
>  - rev-list: refactor early option parsing
>  - rev-list: inline `show_object_with_name()` in `show_object()`
> 
>  "git rev-list" learns machine-parsable output format that delimits
>  each field with NUL.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

Same here, I did scan through the series again and didn't notice
anything objectionable.

> * sk/clar-trailer-urlmatch-norm-test (2025-03-04) 2 commits
>  - t/unit-tests: convert urlmatch-normalization test to clar
>  - t/unit-tests: convert trailer test to use clar
> 
>  A few traditional unit tests have been rewritten to use the clar
>  framework.
> 
>  Will merge to 'next'?
>  cf. <[email-masked]>
>  source: <[email-masked]>

Yup. I didn't review this on-list, but already reviewed it internally
before Seyi sent it to the mailing list.

Patrick